Package: org.gmetrics.result

## [Groovy] Class NumberMetricResult

- org.gmetrics.result.NumberMetricResult

- All Implemented Interfaces and Traits:
    MetricResult

      class NumberMetricResult

  A MetricResult for numbers (integers, BigDecimals, etc.), that has separate values for total, average, minimum and maximum. An instance of this class is immutable.

  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `int` | `count`
    `Integer` | `lineNumber`
    `Metric` | `metric`
    `MetricLevel` | `metricLevel`
    `def` | `number`
    `Map<String, Number>` | `values`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `NumberMetricResult (Metric metric, MetricLevel metricLevel, Map<String, Object> values, Integer lineNumber = null, int count = 1)` Construct a new instance

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `getAt(String name)`
    `` | `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### final int count

    - #### final Integer lineNumber

    - #### final Metric metric

    - #### final MetricLevel metricLevel

    - #### final def number

    - #### final Map<String, Number> values

  - ### Constructor Detail

    - #### NumberMetricResult(Metric metric, MetricLevel metricLevel, Map<String, Object> values, Integer lineNumber = null, int count = 1)

      Construct a new instance

      Parameters:
        `metric` - - the Metric to which this result applies
        `metricLevel` - - the metric level for this result
        `values` - - the Map of values by function name; should include entries for total,average,minimum,maximum as appropriate
        `lineNumber` - - the line number for the source element (AST) that triggered this metric result; may be null

  - ### Method Detail

    - #### Object getAt(String name)

    - #### String toString()